Subject: bug#51689: closed (Re: bug#51689: emacs)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 21 Nov 2021 06:32:02 +0000

Your bug report

#51689: emacs -nw under native-compilation errors out

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
51689: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=51689
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#51689: emacs
From: Eli Zaretskii <[email-masked]>
To: Han Boetes <[email-masked]>
Cc: [email-masked]
Date: Sun, 21 Nov 2021 08:31:29 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sat, 20 Nov 2021 22:05:55 +0100
> From: Han Boetes <[email-masked]>
> 
> > > > When the breakpoint breaks, look at the error_symbol and data printed
> > > > by GDB; if the symbol are not "void-function", type "continue" at
> > > > GDB's prompt to run Emacs further.  When you eventually get symbol as
> > > > "void-function" and data that mentions regexp-opt-group, type:
> > > > 
> > > >   (gdb) thread apply all bt
> > 
> > In the above you have void-variable as error_symbol and the data does
> > not mention regexp-opt-group.  So you need to type "continue" until
> > you hit this breakpoint with the correct conditions, and then produce
> > the backtrace.
> 
> And when I finally understood all the details of how to create the
> backtrace and building emacs with symbols again, which takes over 6
> hours, I noticed gdb ran out of memory and that I could no longer
> reproduce the problem with the latest code from git.

Thanks, I'm therefore closing this bug.

Subject: emacs
From: Han Boetes <[email-masked]>
To: [email-masked]
Date: Mon, 8 Nov 2021 17:44:54 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I compiled emacs with native compilation on OpenBSD-7.0 amd64 like this:

    export CC=egcc \
           CPP="ecpp" \
           CPPFLAGS="-I/usr/local/include" \
           LDFLAGS="-L/usr/local/lib"
    ./autogen.sh
    ./configure --without-makeinfo --without-x --mandir=/usr/local/man --with-native-compilation
    gmake

egcc (GCC) 11.2.0, is just gcc-11 which is traditionally installed as
egcc to avoid conflicts with the usually somewhat older gcc in base.

Now if I start emacs with:

    emacs -nw -Q ~/.config/emacs/init.el

The file init.el is not loaded and I get a single error message:

    Symbol’s function definition is void: regexp-opt-group

After which emacs works OK, for example c-x c-f ~/.config/emacs/init.el works as expected.

Then I recompiled emacs without native compilation and the error did not occur.

And now to make the case even more mysterious, if I start emacs normally, like:

    emacs -nw ~/.config/emacs/init.el

Everything works fine. I accidentally discovered the problem by
running emacs as a test user without configuration.

Please let me know if there is anything I can do to help debugging this problem.

# Han